{% extends 'base.html.twig' %}

{% block title %}Post index{% endblock %}

{% block body %}
    <h1 class="mx-auto text-center">Blog</h1>
    {% for post in posts %}
        <div class="card mx-auto" style="width: 48rem">
            <div class="card-body">
                <h5 class="card-title">{{ post.title}}</h5>
            </div>
            <div class="card-body">
                <a href="{{ path('post_show', {'id': post.id}) }}" class="card-link"><button type="button" class="btn btn-dark">Read</button></a>
                <a href="{{ path('post_edit', {'id': post.id}) }}" class="card-link"><button type="button" class="btn btn-secondary">Edit</button></a>
            </div>
        </div>
    {% else %}
        <p>no records found</p>
    {% endfor %}
{% endblock %}
